---
title: SVGCircleElement
slug: Web/API/SVGCircleElement
tags:
  - API
  - DOM
  - Interface
  - JavaScript
  - SVG
  - SVGCircleElement
---
<div>{{APIRef("SVG")}}</div>

<p><span class="seoSummary">The <strong><code>SVGCircleElement</code></strong> interface is an interface for the {{SVGElement("circle")}} element.</span></p>

<p>{{InheritanceDiagram(700, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGCircleElement.cx")}} {{ReadOnlyInline}}</dt>
 <dd>
 <p>This property defines the x-coordinate of the center of the {{SVGElement("circle")}} element. It is denoted by the {{SVGAttr("cx")}} attribute of the element.</p>
 </dd>
 <dt>{{domxref("SVGCircleElement.cy")}} {{ReadOnlyInline}}</dt>
 <dd>
 <p>This property defines the y-coordinate of the center of the <code>&lt;circle&gt;</code> element. It is denoted by the {{SVGAttr("cy")}} attribute of the element.</p>
 </dd>
 <dt>{{domxref("SVGCircleElement.r")}} {{ReadOnlyInline}}</dt>
 <dd>
 <p>This property defines the radius of the <code>&lt;circle&gt;</code> element. It is denoted by the {{SVGAttr("r")}} of the element.</p>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("SVGGeometryElement")}}.</em></p>

<h2 id="Example">Example</h2>

<h3 id="SVG_content">SVG content</h3>

<pre class="brush: html">&lt;svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 250 250" width="250" height="250"&gt;
  &lt;circle cx="100" cy="100" r="50" fill="gold" id="circle"
      onclick="clickCircle();"/&gt;
&lt;/svg&gt;
</pre>

<h3 id="JavaScript_content">JavaScript content</h3>

<p>This function <code>clickCircle()</code> is called when the circle is clicked. It randomly increases or decreases the radius of the circle element.</p>

<pre class="brush: js">function clickCircle() {
  var circle = document.getElementById("circle");
  // Randomly determine if the circle radius will increase or decrease
  var change = Math.random() &gt; 0.5 ? 10 : -10;
  // Clamp the circle radius to a minimum of 10 and a maximum of 250,
  // so it won't disappear or get bigger than the viewport
  var newValue = Math.min(Math.max(circle.r.baseVal.value + change, 10), 250);
  circle.setAttribute("r", newValue);
}
</pre>

<p><em>Click on the circle.</em><br>
 {{EmbedLiveSample('Example', '250', '250', '', 'Web/API/SVGCircleElement')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#InterfaceSVGCircleElement", "SVGCircleElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced the inheritance from {{domxref("SVGElement")}}, {{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("SVGGeometryElement")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#InterfaceSVGCircleElement", "SVGCircleElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.SVGCircleElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("circle")}} SVG element</li>
</ul>
